<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<title>Taos MLS Property Search</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.css" />
	<script src="http://code.jquery.com/jquery-1.7.min.js"></script>
	<script src="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.js"></script>
</head>

<?php
	require "include/functions.inc.php";
	require "include/brisql.php";
	
	function getPropertyData() {
		if (hasString("propType", $_GET) && hasNumber("mls", $_GET)) {
			$proptype = $_GET["propType"];
			if ($proptype != "residential" && $proptype != "multi_family" && $proptype != "land" && $proptype != "commercial") {
				//something is amiss.
				return "";
			}
			$mls = $_GET["mls"];
			
			$sql = new briSql();
			$result = $sql->select("SELECT DISTINCT * FROM listings_" . $proptype . " l INNER JOIN addendums a USING (mls) WHERE l.mls = ? LIMIT 0,1", $mls);
			//$query = "SELECT DISTINCT * FROM listings_" . $proptype . " l INNER JOIN addendums a USING (mls) WHERE l.mls = " . $mls . " LIMIT 0,1";
			//$result = mysql_query($query) or die("Error: " . mysql_error());
			
			switch ($proptype) {
				case "residential": return getResidential($sql, $result);
				case "multi_family": return getMultiFamily($sql, $result);
				case "land": return getLand($sql, $result);
				default: return getCommercial($sql, $result);
			}
		} else return "";
	}
	
	function getImages($sql, $mls) {
		$html = "";
		$result = $sql->select("SELECT * FROM images WHERE mls = ? ORDER BY image ASC", $mls);
		$imgcount = count($result);
		if ($imgcount > 0) {
			for ($i = 0; $i < $imgcount; $i++) {
				$imgrow = $result[$i];
				if ($imgrow["resized"]) {
					$html .= ("<img src=\"" . $imgrow["resized"] . "\" width=\"285\" />");
				}
			}
		} else {
			$html .= "No images to show.<br>";
		}
		return $html;
	}
	
	function getResidential($sql, $result) {
		if (count($result) > 0) {
			$row = $result[0];
			$mls = $row["mls"];
			
			$html = "MLS #:" . $mls . "<br>";
			$html .= "<h4>Property Details</h4><br>";
			$html .= "<div>";
			$html .= "<div style=\"float:left; width:45%\">";
			$html .= ("Acreage: " . $row["acreage"] . "<br>");
			$html .= ("Beds: " . $row["bedrooms"] . " / Baths: " . $row["fullbaths"] . "<br>");
			$html .= ("Garage Capacity: " . $row["garagecapicity"] . "<br>");
			$html .= "</div>";
			$html .= "<div style=\"margin-left:50%;\">";
			$html .= ("Price: $" . number_format($row["price"]) . "<br>");
			$html .= ("Zoning: " . $row["zoning"] . "<br>");
			$html .= ("Agent: " . $row["agent"] . "<br>" . $row["office"] . "<br>" . $row["phone"] . "<br>");
			$html .= "</div>";
			$html .= "</div>";
			$html .= ("<p>" . $row["addendum"] . "</p>");
			$html .= "<h4>Additional Images</h4><br>";
			
			$html .= getImages($sql, $mls);
			
			return $html;
		} else return "";
	}

	function getLand($sql, $result) {
		if (count($result) > 0) {
			$row = $result[0];
			$mls = $row["mls"];
			
			$html = "MLS #:" . $mls . "<br>";
			$html .= "<h4>Property Details</h4><br>";
			$html .= "<div>";
			$html .= "<div style=\"float:left; width:45%\">";
			$html .= ("Location: " . $row["area"] . "<br>");
			$html .= ("Acreage: " . $row["acreage"] . "<br>");
			$html .= ("Coverage: " . $row["coverage"] . "<br>");
			$html .= ("Surface Water: " . $row["water"] . "<br>");
			$html .= "</div>";
			$html .= "<div style=\"margin-left:50%;\">";
			$html .= "<br>";
			$html .= ("Price: $" . number_format($row["price"]) . "<br>");
			$html .= ("Zoning: " . $row["zoning"] . "<br>");
			$html .= ("Agent: " . $row["agent"] . "<br>" . $row["office"] . "<br>" . $row["phone"] . "<br>");
			$html .= "</div>";
			$html .= "</div>";
			$html .= ("<p>" . $row["addendum"] . "</p>");
			$html .= "<h4>Additional Images</h4><br>";
			
			$html .= getImages($sql, $mls);
			
			return $html;
		} else return "";
	}

	function getMultiFamily($sql, $result) {
		if (count($result) > 0) {
			$row = $result[0];
			$mls = $row["mls"];
			
			$html = "MLS #:" . $mls . "<br>";
			$html .= "<h4>Property Details</h4><br>";
			$html .= "<div>";
			$html .= "<div style=\"float:left; width:45%\">";
			$html .= ("Units: " . $row["units"] . "<br>");
			$html .= ("Acreage: " . $row["acreage"] . "<br>");
			$html .= ("Beds: " . $row["beds1"] . " / Baths: " . $row["baths1"] . "<br>");
			$html .= ("Garage Capacity: " . $row["garagecapicity"] . "<br>");
			$html .= "</div>";
			$html .= "<div style=\"margin-left:50%;\">";
			$html .= "<br>";
			$html .= ("Price: $" . number_format($row["price"]) . "<br>");
			$html .= ("Zoning: " . $row["zoning"] . "<br>");
			$html .= ("Agent: " . $row["agent"] . "<br>" . $row["office"] . "<br>" . $row["phone"] . "<br>");
			$html .= "</div>";
			$html .= "</div>";
			$html .= ("<p>" . $row["addendum"] . "</p>");
			$html .= "<h4>Additional Images</h4><br>";
			
			$html .= getImages($sql, $mls);
			
			return $html;
		} else return "";
	}

	function getCommercial($sql, $result) {
		if (count($result) > 0) {
			$row = $result[0];
			$mls = $row["mls"];
			
			$html = "MLS #:" . $mls . "<br>";
			$html .= "<h4>Property Details</h4><br>";
			$html .= "<div>";
			$html .= "<div style=\"float:left; width:45%\">";
			$html .= ("Lease Type: " . $row["lease_type"] . "<br>");
			$html .= ("Acreage: " . $row["acreage"] . "<br>");
			$html .= ("Rooms: " . $row["rooms"] . " [if applicable]<br>");
			$html .= "</div>";
			$html .= "<div style=\"margin-left:50%;\">";
			$html .= ("Price: $" . number_format($row["price"]) . "<br>");
			$html .= ("Zoning: " . $row["zoning"] . "<br>");
			$html .= ("Agent: " . $row["agent"] . "<br>" . $row["office"] . "<br>" . $row["phone"] . "<br>");
			$html .= "</div>";
			$html .= "</div>";
			$html .= ("<p>" . $row["addendum"] . "</p>");
			$html .= "<h4>Additional Images</h4><br>";
			
			$html .= getImages($sql, $mls);
			
			return $html;
		} else return "";
	}
?>

<body>
	
<div data-role="page" id="results" data-theme="b" data-add-back-btn="true"> 
	<style>
		img {
			margin-right:4px;
			border:2px solid black;
		}
	</style>
	
	<div data-role="header" data-theme="b"> 
		<h1>taosmls.net - Property Details</h1>
	</div><!-- /header -->
	
	<div data-role="content" data-theme="b">
		<p><img style="margin:0px; border:0px;" src="http://search.taosmls.net/idx_medium.gif" /> The data relating to real estate for sale in this web site comes from the Internet Data exchange ("IDX") Program of TCAR MLS, Inc. Not all members of TCAR's MLS are IDX Subscriber Brokers in the IDX Program. Real estate listings held by IDX Subscriber Brokers are marked with the IDX Logo. All data in this web site is deemed reliable but is not guaranteed.</p>
		
	    <?= getPropertyData(); ?>
	</div><!-- /content -->
	
	<div data-role="footer" data-theme="b"> 
		<h4>Taos Real Estate Search</h4>
	</div><!-- /footer -->
</div><!-- /page -->

</body>
</html>
