<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<title>Taos MLS Property Search</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.css" />
	<script src="http://code.jquery.com/jquery-1.7.min.js"></script>
	<script src="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.js"></script>
</head>

<?php
	require "include/functions.inc.php";
	require "include/brisql.php";
	
	function addStringToWhere(&$where, &$values, $field, $operator="=") {
		if (hasString($field, $_GET)) {
			if (strlen($where) == 0) $where = " WHERE ";
			else $where .= "AND ";
			$where .= ($field . " " . $operator . " ? ");
			array_push($values, urldecode($_GET[$field]));
		}
	}
	
	function addNumberToWhere(&$where, &$values, $field, $operator="=", $sqlfield=null) {
		if (hasNumber($field, $_GET)) {
			if (!$sqlfield) $sqlfield = $field;
			
			if (strlen($where) == 0) $where = " WHERE ";
			else $where .= "AND ";
			$where .= ($sqlfield . " " . $operator . " ? ");
			
			$val = urldecode($_GET[$field]);
			if (isWholeNumber($val)) {
				array_push($values, intval($val));
			} else {
				array_push($values, floatval($val));
			}
		}
	}
	
	function isWholeNumber($val) {
		$i = intval($val);
		$f = floatval($val);
		return $i == $f;
	}
	
	function getFooter() {
		if (hasString("searchType", $_GET)) {
			$searchtype = $_GET["searchType"];
			if (hasNumber("page", $_GET)) $page = (int)$_GET["page"];
			else $page = 1;
			if (hasNumber("limit", $_GET)) $limit = (int)$_GET["limit"];
			else $limit = 10;
			$limitvalue = $page * $limit - ($limit);
			$uri = $_SERVER["REQUEST_URI"];
			
			$sql = new briSql();
			$select = "SELECT * FROM listings_" . $searchtype;
			$values = array();
			$where = getWhere($values);
			$result = $sql->selectWithArray($select . $where, $values);
			if ($result === false) $rowcount = 0;
			else $rowcount = count($result);
			
			if ($rowcount > $limit) {
				$pagecount = ceil($rowcount / $limit);
				$html = "<div data-role=\"footer\" data-theme=\"b\" data-position=\"fixed\">";
				
				//previous button
				if ($page == 1) $prevlink = "";
				else {
					//here we have to remove the existing querystring variable if it exists and add in a new one.
					//the trouble is, jquery mobile is going to tack a # and maybe some data to the end of our URI,
					//that means we have to stick &page into an appropriate spot in the middle.
					//just in front of the second variable sounds good.
					$prevpage = $page - 1;
					$prevlink = ereg_replace("&page=[0-9]*", "", $uri);
					$firstvar = strpos($prevlink, "&", 0);
					$beg = substr($prevlink, 0, $firstvar);
					$end = substr($prevlink, $firstvar);
					$prevlink = $beg . "&page=" . $prevpage . $end;
				}
				$html .= "<div style=\"float:left; margin-top:6px; margin-left:6px;\">";
				$html .= ("<a href=\"" . $prevlink . "\" data-role=\"button\" data-icon=\"arrow-l\">prev</a>");
				$html .= "</div>";
				
				//next button
				if ($page == $pagecount) $nextlink = "";
				else {
					//here we have to remove the existing querystring variable if it exists and add in a new one.
					//the trouble is, jquery mobile is going to tack a # and maybe some data to the end of our URI,
					//that means we have to stick &page into an appropriate spot in the middle.
					//just in front of the second variable sounds good.
					$nextpage = $page + 1;
					$nextlink = ereg_replace("&page=[0-9]*", "", $uri);
					$firstvar = strpos($nextlink, "&", 0);
					$beg = substr($nextlink, 0, $firstvar);
					$end = substr($nextlink, $firstvar);
					$nextlink = $beg . "&page=" . $nextpage . $end;
				}
				$html .= "<div style=\"float:right; margin-top:6px; margin-right:6px;\">";
				$html .= ("<a href=\"" . $nextlink . "\" data-role=\"button\" data-icon=\"arrow-r\">next</a>");
				$html .= "</div>";
				
				//page count
				$html .= ("<h4 style=\"margin-left:0px; margin-right:0px;\">Page: " . $page . " of " . $pagecount . "</h4>");
				
				$html .= "</div><!-- /footer -->";
			} else {
				$html = "<div data-role=\"footer\" data-theme=\"b\"><h4>Page 1 of 1</h4></div><!-- /footer -->";
			}
			return $html;
		} else return "<div data-role=\"footer\" data-theme=\"b\"><h4>Taos Real Estate Search</h4></div><!-- /footer -->";
	}
	
	function getWhere(&$values) {
		$where = "";
		
		addStringToWhere($where, $values, "type");
		addStringToWhere($where, $values, "coverage");
		addStringToWhere($where, $values, "area");
		
		addNumberToWhere($where, $values, "bathrooms", "=", "fullbaths");
		addNumberToWhere($where, $values, "bedrooms");
		
		addNumberToWhere($where, $values, "lower", ">=", "price");
		addNumberToWhere($where, $values, "upper", "<=", "price");
		
		return $where;
	}
	
	function getQueryResult() {
		if (hasString("searchType", $_GET)) {
			$searchtype = $_GET["searchType"];
			if (hasNumber("page", $_GET)) $page = (int)$_GET["page"];
			else $page = 1;
			if (hasNumber("limit", $_GET)) $limit = (int)$_GET["limit"];
			else $limit = 10;
			$limitvalue = $page * $limit - ($limit);
			
			$sql = new briSql();
			$select = "SELECT *";
			$from = " FROM listings_" . $searchtype;
			$values = array();
			$where = getWhere($values);
			$detail = ($select . $from . $where . " :: " . implode(", ", $values) . "; ");
			$result = $sql->selectWithArray($select . $from . $where, $values);
			if ($result === null) $rowcount = -1;
			else $rowcount = count($result);
			
			if ($rowcount < 0) {
				$html = "<h4>Error 1: " . $sql->error() . " [" . $detail . "]</h4>";
			} else if ($rowcount === 0) {
				$html = "<h4>Sorry, there are NO properties that match your search criteria.<br>
	    				Please try your search again using different criteria.</h4>";
			} else {
				$html = "<p><h4>There are " . $rowcount . " " . $searchtype . " properties that match your search criteria.</h4></p>";
				
				$from .= " INNER JOIN addendums USING (mls)";
				$grouporder = " GROUP BY listings_" . $searchtype . ".mls ORDER BY listings_" . $searchtype . ".price ASC LIMIT " . $limitvalue . ", " . $limit;
				
				$result = $sql->selectWithArray($select . $from . $where . $grouporder, $values);
				if ($result === null) return "Error 2: " . $sql->error();
				else {
					$rowcount = count($result);
					for ($i = 0; $i < $rowcount; $i++) {
						$row = $result[$i];
						$mls = $row["mls"];
						if ($mls != $lastmls) {
							$area = $row["area"];
							$addendum = $row["addendum"];
							$price = $row["price"];
							$detailhref = "mls_details.php?propType=" . $searchtype . "&mls=" . $mls;
							
							$imgsql = "SELECT * FROM images WHERE mls = ? LIMIT 0,1";
							$imgresult = $sql->select($imgsql, $mls);
							$imghtml = "<div style=\"float:left; padding:30px 6px; text-align:center;\">No Image Available</div>";
							if (count($imgresult) > 0) {
								$imgrow = $imgresult[0];
								if ($imgrow["thumb"]) {
									$imghtml = "<div style=\"float:left; padding:6px;\"><a href=\"" . $detailhref . "\"><img src=\"" . $imgrow["thumb"] . "\" /></a></div>";
								}
							}
					 	   
							$html .= "<div data-role=\"collapsible\" data-collapsed=\"false\">";
							$html .= "<h3>" . $area . " - #" . $mls . "</h3>";
							$html .= "<div>";
							$html .= $imghtml;
							$html .= ("MLS # " . $mls . "<br>");
							$html .= ($addendum . "<br>");
							$html .= ("$" . number_format($price) . "<br>");
							$html .= "<div style=\"clear:both;\"><a href=\"" . $detailhref . "\" data-role=\"button\" data-theme=\"c\">more detail</a></div>";
							$html .= "</div>";
							$html .= "</div>";
						}
						$lastmls = $mls;
					}
				}
			}
	
			return $html . "<!--" . $sql->detail . "-->";
		} else return "";
	}

	function getBackLink() {
		if (hasString("sourceuri", $_GET)) {
			return urldecode($_GET["sourceuri"]);
		} else return "#";
	}
?>

<body>
	
<div data-role="page" id="results" data-theme="b" data-add-back-btn="true"> 
	<div data-role="header" data-theme="b">
		<a href="./mls_search.php" data-role="button" data-rel="back" data-icon="arrow-l">Back</a>
		<!--<a href="./mls_search.php" data-roll="button" data-icon="arrow-l" rel="external">Search Again</a>-->
		<!--<a href="<? getBackLink(); ?>" data-role="button" data-icon="arrow-l">Back</a>-->
		<h1>taosmls.net - Search Results</h1>
	</div><!-- /header -->
	
	<div data-role="content" data-theme="b">
	    <?= getQueryResult(); ?>
	</div><!-- /content -->
	
	<?= getFooter(); ?>
</div><!-- /page -->

</body>
</html>
