<?php
	require_once "include/brisql.php";
	
	function lGetAreaList() {
		$js = "";
		$sql = new briSql();
		$result = $sql->select("SELECT DISTINCT area FROM listings_land ORDER BY area");
		$n = count($result);
		for ($i = 0; $i < $n; $i++) {
			$row = $result[$i];
			$area = urlencode($row["area"]);
			$areaname = $row["area"];
		  
			if ($areaname != $lastarea) {
				$js .= "addListItem(arealist, \"" . urldecode($area) . "\", \"" . urldecode($areaname) . "\", \"l_area\", \"l_area_option_header\", \"Area : " . urldecode($areaname) . "\");";
			}
			$lastarea = $areaname;
		}
		return $js;
	}
	
	function lGetTypeList() {
		$js = "";
		$sql = new briSql();
		$result = $sql->select("SELECT DISTINCT coverage FROM listings_land ORDER BY coverage");
		$n = count($result);
		for ($i = 0; $i < $n; $i++) {
			$row = $result[$i];
			$type = urlencode($row["coverage"]);
			$typename = $row["coverage"];
		   
			if ($typename != $lasttype) {
				print "addListItem(typelist, \"" . urldecode($type) . "\", \"" . urldecode($typename) . "\", \"l_type\", \"l_type_option_header\", \"Coverage : " . urldecode($typename) . "\");";
			}
			$lasttype = $typename;
		}
		return $js;
	}
?>

<script type="text/javascript">
	$('#land').live("pagecreate", function() {
		var arealist = $("#l_area_option_list");
		addListItem(arealist, "", "Any Area", "l_area", "l_area_option_header", "Area : Any");
		<?= lGetAreaList(); ?>

		var typelist = $("#l_type_option_list");
		addListItem(typelist, "", "Any Coverage", "l_type", "l_type_option_header", "Coverage : Any");
		<?= lGetTypeList(); ?>

		var minlist = $("#l_min_price_option_list");
		addListItem(minlist, "0", "$0", "l_lower", "l_min_price_option_header", "Minimum Price : $0");
		addListItem(minlist, "100000", "$100,000", "l_lower", "l_min_price_option_header", "Minimum Price : $100,000");
		addListItem(minlist, "200000", "$200,000", "l_lower", "l_min_price_option_header", "Minimum Price : $200,000");
		addListItem(minlist, "300000", "$300,000", "l_lower", "l_min_price_option_header", "Minimum Price : $300,000");
		addListItem(minlist, "400000", "$400,000", "l_lower", "l_min_price_option_header", "Minimum Price : $400,000");
		addListItem(minlist, "500000", "$500,000", "l_lower", "l_min_price_option_header", "Minimum Price : $500,000");
		addListItem(minlist, "750000", "$750,000", "l_lower", "l_min_price_option_header", "Minimum Price : $750,000");
		
		var maxlist = $("#l_max_price_option_list");
		addListItem(maxlist, "100000", "$100,000", "l_upper", "l_max_price_option_header", "Maximum Price : $100,000");
		addListItem(maxlist, "200000", "$200,000", "l_upper", "l_max_price_option_header", "Maximum Price : $200,000");
		addListItem(maxlist, "300000", "$300,000", "l_upper", "l_max_price_option_header", "Maximum Price : $300,000");
		addListItem(maxlist, "400000", "$400,000", "l_upper", "l_max_price_option_header", "Maximum Price : $400,000");
		addListItem(maxlist, "500000", "$500,000", "l_upper", "l_max_price_option_header", "Maximum Price : $500,000");
		addListItem(maxlist, "750000", "$750,000", "l_upper", "l_max_price_option_header", "Maximum Price : $750,000");
		addListItem(maxlist, "10000000", "$10,000,000", "l_upper", "l_max_price_option_header", "Maximum Price : $10,000,000");
		addListItem(maxlist, "", "Any", "l_upper", "l_max_price_option_header", "Maximum Price : Any");
	});
</script>

<div data-role="header" data-theme="b">
    <a href="./mls_search.php" data-roll="button" data-icon="arrow-l" rel="external">Back</a>
    <h1>Search Land Listings</h1>
</div><!-- /header -->

<div data-role="content" data-theme="b"> 
	<form name="landSearch" method="get" action="mls_do_search.php">
		<input type="hidden" id="l_searchType" name="searchType" value="land">
		<input type="hidden" id="l_area" name="area" value="">
		<input type="hidden" id="l_type" name="coverage" value="">
		<input type="hidden" id="l_lower" name="lower" value="">
		<input type="hidden" id="l_upper" name="upper" value="">
		
		<ul data-role="listview" data-inset="true">
			<li>
				<h3 id="l_area_option_header">Area : Any</h3>
				<ul id="l_area_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="l_type_option_header">Type : Any</h3>
				<ul id="l_type_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="l_min_price_option_header">Minimum Price : $0</h3>
				<ul id="l_min_price_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="l_max_price_option_header">Maximum Price : Any</h3>
				<ul id="l_max_price_option_list" data-inset="true"></ul>
			</li>
		</ul>

    	<input type="hidden" name="limit" value="10">
		<br>
		<input type="submit" value="Search">
	</form>
</div><!-- /content -->

<div data-role="footer" data-theme="b"> 
	<h4>Taos Real Estate Search</h4>
</div><!-- /footer -->